FreeMat

- Main Page
- Related Pages

vtkPSLACReader

Section: Visualization Toolkit Parallel Classes

# Usage

Extends the vtkSLACReader to read in partitioned pieces. Due to the nature of the data layout, this reader only works in a data parallel mode where each process in a parallel job simultaneously attempts to read the piece corresponding to the local process id.

To create an instance of class vtkPSLACReader, simply invoke its constructor as follows

      obj = vtkPSLACReader

# Methods

The class vtkPSLACReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPSLACReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPSLACReader = obj.NewInstance ()`
- `vtkPSLACReader = obj.SafeDownCast (vtkObject o)`
- `vtkMultiProcessController = obj.GetController ()` - The controller used to communicate partition data. The number of pieces requested must agree with the number of processes, the piece requested must agree with the local process id, and all process must invoke ProcessRequests of this filter simultaneously.
- `obj.SetController (vtkMultiProcessController )` - The controller used to communicate partition data. The number of pieces requested must agree with the number of processes, the piece requested must agree with the local process id, and all process must invoke ProcessRequests of this filter simultaneously.